Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xslf.usermodel
Class XSLFRelation

    java.lang.Object
      org.apache.poi.POIXMLRelation
          org.apache.poi.xslf.usermodel.XSLFRelation

    public class XSLFRelation

extends POIXMLRelation

Field Summary
`static XSLFRelation` | `COMMENTS`
`static XSLFRelation` | `MACRO`
`static XSLFRelation` | `MACRO_TEMPLATE`
`static XSLFRelation` | `MAIN`
`static XSLFRelation` | `NOTES`
`static XSLFRelation` | `PRESENTATION_MACRO`
`static XSLFRelation` | `PRESENTATIONML`
`static XSLFRelation` | `PRESENTATIONML_TEMPLATE`
`static XSLFRelation` | `SLIDE`
`static XSLFRelation` | `SLIDE_LAYOUT`
`static XSLFRelation` | `THEME`
`static XSLFRelation` | `THEME_MANAGER`
`static XSLFRelation` | `VML_DRAWING`

Method Summary
`static XSLFRelation` | `getInstance(java.lang.String rel)` Get POIXMLRelation by relation type

Methods inherited from class org.apache.poi.POIXMLRelation
`getContentType, getDefaultFileName, getFileName, getRelation, getRelationClass`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAIN

    public static final XSLFRelation MAIN

### MACRO

    public static final XSLFRelation MACRO

### MACRO_TEMPLATE

    public static final XSLFRelation MACRO_TEMPLATE

### PRESENTATIONML

    public static final XSLFRelation PRESENTATIONML

### PRESENTATIONML_TEMPLATE

    public static final XSLFRelation PRESENTATIONML_TEMPLATE

### PRESENTATION_MACRO

    public static final XSLFRelation PRESENTATION_MACRO

### THEME_MANAGER

    public static final XSLFRelation THEME_MANAGER

### NOTES

    public static final XSLFRelation NOTES

### SLIDE

    public static final XSLFRelation SLIDE

### SLIDE_LAYOUT

    public static final XSLFRelation SLIDE_LAYOUT

### COMMENTS

    public static final XSLFRelation COMMENTS

### THEME

    public static final XSLFRelation THEME

### VML_DRAWING

    public static final XSLFRelation VML_DRAWING

Method Detail

### getInstance

    public static XSLFRelation getInstance(java.lang.String rel)

  Get POIXMLRelation by relation type

  Parameters:
    `rel` - relation type, for example, `http://schemas.openxmlformats.org/officeDocument/2006/relationships/image`
  Returns:
    registered POIXMLRelation or null if not found

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD